-- ABS-16515	
---------- INVOICELINESUBTYPE ----------
INSERT INTO INVOICELINESUBTYPE I
      (I.INVOICELINESUBTYPE_ID,
       SUBTYPE,
       INVOICELINETYPE_ID,
       FACTORYDESCRIPTION,
       SYSTEMUSER_ID,
       TIMESTAMP)
      SELECT SEQ_INVOICELINESUBTYPE.NEXTVAL,
             46,
             2,
             'Wash No Delivery COG',
             GETMINSYSTEMUSER(),
             SYSDATE
        FROM DUAL;
COMMIT;
        
INSERT INTO INVOICELINESUBTYPE_DESC
      (INVOICELINESUBTYPE_ID,
       LANGUAGE_ID,
       DESCRIPTION,
       SYSTEMUSER_ID,
       TIMESTAMP)
      SELECT I.INVOICELINESUBTYPE_ID,
             L.LANGUAGE_ID,
             I.FACTORYDESCRIPTION,
             GETMINSYSTEMUSER(),
             SYSDATE
        FROM INVOICELINESUBTYPE I, LANGUAGES L
       WHERE L.TRANSLATEDESCRIPTION = 'Y' AND I.SUBTYPE = 46;
COMMIT; 

---------- PACKINGNOTELINE ----------
ALTER TABLE PACKINGNOTELINE ADD (CHARGERETURNEDFROMCIRC NUMBER DEFAULT NULL NULL);

ALTER TABLE PACKINGNOTELINE ADD (CHARGERETURNEDFROMCIRCCOG NUMBER NULL,
                                 NODELIVERYAMOUNTCOG NUMBER(4) NULL);
